@import url("https://fonts.googleapis.com/css2?family=Noto+Sans:ital,wght@0,100..900;1,100..900&display=swap");

* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

body {
  font-family: "Noto Sans", sans-serif;
  color: #28111e;
}

.hero {
  background: url("https://images.squarespace-cdn.com/content/v1/578d1afacd0f68eda266c58d/1695813005544-9HK4EYIB54MCI90JQ4VG/Webp.net-resizeimage+(4).jpg?format=2500w")
    no-repeat center center/cover;
  height: 100vh;
  position: relative;
  align-items: center;
  justify-items: center;
  padding: 100px;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
}

.hero::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.6);
}

.player-container {
  position: relative;
  z-index: 1;
  width: 400px;
  height: 650px;
  border-radius: 32px;
  background: #f5f5f5bf;
  box-shadow: 0px 4px 10px 2px #00000040;
  padding-top: 40px;
}

.album-container {
  display: flex;
  margin: 0px 0px 0px 48px;
}

#artist {
  width: 230px;
  height: 230px;
  border-radius: 5px;
  position: relative;
  box-shadow: 0px 4px 4px 0px #00000040;
}

#vinyl {
  width: 210px;
  height: 210px;
  position: absolute;
  translate: 100px 10px 0;
}

.title-artist-container {
  text-align: center;
}

#title {
  margin-top: 40px;
  font-weight: 600;
  font-size: 22px;
  line-height: 32.69px;
}

#artist-name {
  margin-top: 5px;
  font-weight: 400;
  font-size: 18px;
  line-height: 27.24px;
}

.seek-items {
  margin: 40px 39px 0px 39px;
}

.duration {
  display: flex;
  justify-content: space-between;
  font-weight: 300;
  font-size: 14px;
  line-height: 19.07px;
}

.seek-bar-container {
  align-items: center;
  width: 100%;
  height: 5px;
  margin-top: 10px;
  background: #ffffff80;
  border-radius: 50px;
  outline: none;
  position: relative;
}

#seek-bar {
  width: 0%;
  height: 5px;
  margin-top: 10px;
  background: #632964;
  border-radius: 50px;
  outline: none;
}

#seek-eclipse {
  width: 22px;
  height: 22px;
  background: #ffffff;
  border: 5px solid #632964;
  border-radius: 50%;
  cursor: pointer;
  top: 0;
  left: 0;
  position: absolute;
  transform: translate(-9px, -9px);
}

.player-btns {
  display: flex;
  align-items: center;
  justify-content: space-around;
  margin: 30px 39px 0px 39px;
}

#previous {
  color: #93375bcc;
  font-size: 55px;
  cursor: pointer;
}
#previous:hover {
  color: #7a2e4bcc;
}
#next {
  color: #93375bcc;
  font-size: 55px;
  cursor: pointer;
}
#next:hover {
  color: #7a2e4bcc;
}
#playpause-btn {
  color: #d9d9d9;
  font-size: 50px;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  background: linear-gradient(180deg, #96385a 0%, #66255d 100%);
  width: 100px;
  height: 100px;
  border-radius: 50%;
  cursor: pointer;
}

#play-btn:hover {
  background: #4d1c46;
}

#explore-container {
  position: relative;
  z-index: 1;
  height: 650px;
  margin-left: 80px;
}

#explore {
  color: #ffffff99;
  font-size: 36px;
  font-weight: 700;
  line-height: 49.03px;
  text-align: left;
  margin-bottom: 20px;
}
#tab-container {
  width: 100px;
}
#tabs {
  display: flex;
  width: 503px;
  height: 33px;
  top: 242px;
  left: 608px;
  gap: 0px;
  opacity: 0px;
}

.tab-btns {
  margin-right: 20px;
  text-decoration: none;
  font-size: 24px;
  font-weight: 400;
  line-height: 32.69px;
  text-underline-position: from-font;
  text-decoration-skip-ink: none;
  color: #ffffffcb;
  cursor: pointer;
}

.active {
  font-weight: 700;
}
.explore-content {
  display: flex;
  overflow-wrap: normal;
  width: 900px;
  height: 536px;
  top: 307px;
  left: 608px;
}

.other-albums-img,
.related-artists-img {
  margin-right: 20px;
  width: 290px;
  height: 290px;
  top: 23px;
  border-radius: 3px;
  box-shadow: 0px 4px 10px 0px #00000040;
  margin-top: 50px;
  cursor: pointer;
}

.lyrics-container {
  text-decoration: none;
  font-size: 24px;
  font-weight: 400;
  line-height: 32.69px;
  text-align: left;
  color: #ffffff;
  width: 700px;
  scrollbar-width: auto;
  overflow: auto; /* Allow scrolling */
}

.albums-container,
.artists-container {
  display: flex;
  padding: 10px;
  scroll-behavior: smooth;
  overflow-x: auto;
  scrollbar-width: auto;
}

.lyrics-container:hover::-webkit-scrollbar {
  background-color: #f8f8f800;
  border: solid 1px #f8f8f807;
  width: 8px;
  border-radius: 5px;
}

.lyrics-container::-webkit-scrollbar {
  background-color: #f8f8f800;
  border: solid 1px #f8f8f807;
  width: 8px;
  border-radius: 5px;
}

.lyrics-container:hover::-webkit-scrollbar-thumb {
  background-color: #66255d;
  border-radius: 5px;
  width: 8px;
}
.albums-container:hover::-webkit-scrollbar,
.artists-container:hover::-webkit-scrollbar {
  background-color: #f8f8f800;
  border: solid 1px #f8f8f807;
  height: 5px;
  border-radius: 5px;
}

.albums-container::-webkit-scrollbar,
.artists-container::-webkit-scrollbar {
  background-color: #f8f8f800;
  border: solid 1px #f8f8f807;
  height: 5px;
  border-radius: 5px;
}

.albums-container:hover::-webkit-scrollbar-thumb,
.artists-container:hover::-webkit-scrollbar-thumb {
  background-color: #66255d;
  border-radius: 5px;
}

.albums-container::before,
.artists-container::before {
  content: "";
  position: absolute;
  top: 0;
  right: -10px;
  width: 10%;
  height: 300px;
  background: linear-gradient(
    90deg,
    rgba(255, 253, 253, 0.075) 40%,
    rgba(63, 24, 40, 1) 100%,
    rgba(63, 24, 40, 1) 100%
  );
  translate: 0 155px;
}
.albums-name,
.albums-year,
.artists-name {
  font-size: 16px;
  font-weight: 400;
  line-height: 21.79px;
  text-align: left;
  color: #ffffff99;
}

.tab-btns {
  background: transparent;
  border: none;
}
